package com.kingdee.eas.custom.beisenconfig;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class BSViewConfigEntryFactory
{
    private BSViewConfigEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.beisenconfig.IBSViewConfigEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.beisenconfig.IBSViewConfigEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("6005D0AF") ,com.kingdee.eas.custom.beisenconfig.IBSViewConfigEntry.class);
    }
    
    public static com.kingdee.eas.custom.beisenconfig.IBSViewConfigEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.beisenconfig.IBSViewConfigEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("6005D0AF") ,com.kingdee.eas.custom.beisenconfig.IBSViewConfigEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.beisenconfig.IBSViewConfigEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.beisenconfig.IBSViewConfigEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("6005D0AF"));
    }
    public static com.kingdee.eas.custom.beisenconfig.IBSViewConfigEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.beisenconfig.IBSViewConfigEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("6005D0AF"));
    }
}